Subject: [netmod] review of model-classification draft

From: Qin Wu <[email-masked]>
Date: Tue, 17 Nov 2015 03:30:48 +0000

Have a quick review of draft-bogdanovic-netmod-yang-model-classification-05, I have a few comments as follows:

1.       This document introduce several terms to provide consistent classification yang models in IETF and other SDOs, e.g.,standard model, vendor specific model, I am wondering if we need to introduce base model and model extension which was presented in netmod session of Yokohama meeting, this will help further classify yang models in either Network Element YANG Model abstraction layer or Network service YANG model abstraction layer and describe their dependency relationship.

2.       Section 2, 4th paragraph said
"Layering of models allow for reusability of
   existing lower layer models by higher level models while limiting
   duplication of features across layers.

"

I believe this sentence indicates that two abreaction layers proposed in the model-classification draft can be further broken down into multiple layers, lower layer model corresponding to base model, higher layer model corresponds to model extension, higher layer model is built on top of lower layer model.

Also I think this sentence need to distinct the following three cases:

1.       The building block defined in Network element yang model may be reused in the network service model

2.       The building block defined in lower layer model belonging to network element yang model category can be reused in the higher layer model which also belongs to network element yang model category.

3.       The building block defined in lower layer model belonging to network service yang model category can be reused in the higher layer model which also belongs to network service yang model category.

-Qin